# UltracartClient::Customer

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**activity** | [**CustomerActivity**](CustomerActivity.md) |  | [optional] 
**affiliate_oid** | **Integer** | Affiliate oid | [optional] 
**allow_3rd_party_billing** | **BOOLEAN** | Allow 3rd party billing | [optional] 
**allow_cod** | **BOOLEAN** | Allow COD | [optional] 
**allow_drop_shipping** | **BOOLEAN** | Allow Drop Shipping | [optional] 
**allow_purchase_order** | **BOOLEAN** | Allow purchase orders by this customer | [optional] 
**allow_quote_request** | **BOOLEAN** | Allow quote request | [optional] 
**allow_selection_of_address_type** | **BOOLEAN** | Allow selection of residential or business address type | [optional] 
**attachments** | [**Array&lt;CustomerAttachment&gt;**](CustomerAttachment.md) | Attachments | [optional] 
**auto_approve_cod** | **BOOLEAN** | Auto approve COD | [optional] 
**auto_approve_purchase_order** | **BOOLEAN** | Auto approve purchase orders by this customer | [optional] 
**automatic_merchant_notes** | **String** | Automatic merchant notes are added to every order placed | [optional] 
**billing** | [**Array&lt;CustomerBilling&gt;**](CustomerBilling.md) | Billing addresses for this customer | [optional] 
**business_notes** | **String** | Business notes (internally visible only) | [optional] 
**cards** | [**Array&lt;CustomerCard&gt;**](CustomerCard.md) | Credit Cards for this customer | [optional] 
**cc_emails** | [**Array&lt;CustomerEmail&gt;**](CustomerEmail.md) | Additional emails to CC notification | [optional] 
**customer_profile_oid** | **Integer** | Customer profile object identifier | [optional] 
**dhl_account_number** | **String** | DHL account number | [optional] 
**dhl_duty_account_number** | **String** | DHL duty account number | [optional] 
**email** | **String** | Email address of this customer profile | [optional] 
**exempt_shipping_handling_charge** | **BOOLEAN** | Exempt shipping handling charge | [optional] 
**fedex_account_number** | **String** | FedEx account number | [optional] 
**free_shipping** | **BOOLEAN** | This customer always receives free shipping | [optional] 
**free_shipping_minimum** | **Float** | If free_shipping is true, this is the minimum subtotal required for free shipping | [optional] 
**last_modified_by** | **String** | Last modified by | [optional] 
**last_modified_dts** | **String** | Last modified date | [optional] 
**loyalty** | [**CustomerLoyalty**](CustomerLoyalty.md) |  | [optional] 
**maximum_item_count** | **Integer** | Maximum item count | [optional] 
**minimum_item_count** | **Integer** | Minimum item count | [optional] 
**minimum_subtotal** | **Float** | Minimum subtotal | [optional] 
**no_coupons** | **BOOLEAN** | No coupons | [optional] 
**no_free_shipping** | **BOOLEAN** | No free shipping regardless of coupons or item level settings | [optional] 
**no_realtime_charge** | **BOOLEAN** | No realtime charge | [optional] 
**orders** | [**Array&lt;Order&gt;**](Order.md) | Orders associated with this customer profile | [optional] 
**orders_summary** | [**CustomerOrdersSummary**](CustomerOrdersSummary.md) |  | [optional] 
**password** | **String** | Password (may only be set, never read) | [optional] 
**pricing_tiers** | [**Array&lt;CustomerPricingTier&gt;**](CustomerPricingTier.md) | Pricing tiers for this customer | [optional] 
**privacy** | [**CustomerPrivacy**](CustomerPrivacy.md) |  | [optional] 
**qb_class** | **String** | QuickBooks class to import this customer as | [optional] 
**qb_code** | **String** | QuickBooks name to import this customer as | [optional] 
**quotes** | [**Array&lt;Order&gt;**](Order.md) | Quotes associated with this customer profile | [optional] 
**quotes_summary** | [**CustomerQuotesSummary**](CustomerQuotesSummary.md) |  | [optional] 
**referral_source** | **String** | Referral Source | [optional] 
**reviewer** | [**CustomerReviewer**](CustomerReviewer.md) |  | [optional] 
**sales_rep_code** | **String** | Sales rep code | [optional] 
**send_signup_notification** | **BOOLEAN** | Send signup notification, if true during customer creation, will send a notification. | [optional] 
**shipping** | [**Array&lt;CustomerShipping&gt;**](CustomerShipping.md) | Shipping addresses for this customer | [optional] 
**signup_dts** | **String** | Signup date | [optional] 
**software_entitlements** | [**Array&lt;CustomerSoftwareEntitlement&gt;**](CustomerSoftwareEntitlement.md) | Software entitlements owned by this customer | [optional] 
**suppress_buysafe** | **BOOLEAN** | Suppress buySAFE (deprecated) | [optional] 
**tags** | [**Array&lt;CustomerTag&gt;**](CustomerTag.md) | Tags for this customer | [optional] 
**tax_codes** | [**CustomerTaxCodes**](CustomerTaxCodes.md) |  | [optional] 
**tax_exempt** | **BOOLEAN** | True if the customer is tax exempt | [optional] 
**tax_id** | **String** | Tax ID | [optional] 
**terms** | **String** | Terms for this customer | [optional] 
**track_separately** | **BOOLEAN** | True if the customer should be tracked separately in QuickBooks | [optional] 
**unapproved** | **BOOLEAN** | Unapproved | [optional] 
**ups_account_number** | **String** | UPS account number | [optional] 
**website_url** | **String** | Website url | [optional] 


