# UltracartClient::OrderItem

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**accounting_code** | **String** | QuickBooks code | [optional] 
**activation_codes** | **Array&lt;String&gt;** | Activation codes assigned to this item | [optional] 
**arbitrary_unit_cost** | [**Currency**](Currency.md) |  | [optional] 
**auto_order_last_rebill_dts** | **String** | Date/time of the last rebill, used only during order insert to help project future rebills | [optional] 
**auto_order_schedule** | **String** | Auto order schedule, used only during inserts supplying the recurring schedule | [optional] 
**barcode** | **String** | Barcode | [optional] 
**channel_partner_item_id** | **String** | Channel partner item id if this order came through a channel partner and the channel partner item id was mapped to an internal item id | [optional] 
**cogs** | **Float** | Cost of goods sold | [optional] 
**component_unit_value** | **Float** | Value of the kit component item | [optional] 
**cost** | [**Currency**](Currency.md) |  | [optional] 
**country_code_of_origin** | **String** | Country of origin (ISO-3166 two letter code) | [optional] 
**customs_description** | **String** | Customs description | [optional] 
**description** | **String** | Description | [optional] 
**discount** | [**Currency**](Currency.md) |  | [optional] 
**discount_quantity** | **Float** | Discount quantity | [optional] 
**discount_shipping_weight** | [**Weight**](Weight.md) |  | [optional] 
**distribution_center_code** | **String** | Distribution center code responsible for shipping this item | [optional] 
**edi** | [**OrderItemEdi**](OrderItemEdi.md) |  | [optional] 
**exclude_coupon** | **BOOLEAN** | True if this item is excluded from coupons | [optional] 
**free_shipping** | **BOOLEAN** | True if the item receives free shipping | [optional] 
**hazmat** | **BOOLEAN** | Hazardous materials indicator | [optional] 
**height** | [**Distance**](Distance.md) |  | [optional] 
**item_reference_oid** | **Integer** | Item reference object identifier used to linked to auto order item record | [optional] 
**kit** | **BOOLEAN** | True if this item is a kit | [optional] 
**kit_component** | **BOOLEAN** | True if this item is a kit component | [optional] 
**length** | [**Distance**](Distance.md) |  | [optional] 
**manufacturer_sku** | **String** | Manufacturer SKU | [optional] 
**max_days_time_in_transit** | **Integer** | Maximum days that the item can be in transit before spoilage (perishable products) | [optional] 
**merchant_item_id** | **String** | Item ID | [optional] 
**mix_and_match_group_name** | **String** | Mix and match group name | [optional] 
**mix_and_match_group_oid** | **Integer** | Mix and match group object identifier | [optional] 
**no_shipping_discount** | **BOOLEAN** | True if this item is excluded from shipping discounts | [optional] 
**options** | [**Array&lt;OrderItemOption&gt;**](OrderItemOption.md) | Options | [optional] 
**packed_by_user** | **String** | Packed by user | [optional] 
**perishable_class** | **String** | Perishable class of the item | [optional] 
**pricing_tier_name** | **String** | Pricing tier that granted the particular price for this item if the customer profile had pricing tiers assigned | [optional] 
**properties** | [**Array&lt;OrderItemProperty&gt;**](OrderItemProperty.md) | Properties | [optional] 
**quantity** | **Float** | Quantity | [optional] 
**quantity_refunded** | **Float** | Quantity refunded on this item (read only except refund operation) | [optional] 
**quickbooks_class** | **String** | QuickBooks class | [optional] 
**ship_separately** | **BOOLEAN** | True if this item ships in a separate box | [optional] 
**shipped_by_user** | **String** | Shipped by user | [optional] 
**shipped_dts** | **String** | Date/time that this item was marked shipped | [optional] 
**special_product_type** | **String** | Special product type (USPS Media Mail) | [optional] 
**tags** | [**Array&lt;OrderItemTag&gt;**](OrderItemTag.md) | Tags | [optional] 
**tax_free** | **BOOLEAN** | True if the item is tax free | [optional] 
**taxable_cost** | [**Currency**](Currency.md) |  | [optional] 
**total_cost_with_discount** | [**Currency**](Currency.md) |  | [optional] 
**total_refunded** | [**Currency**](Currency.md) |  | [optional] 
**tracking_number** | **String** | Tracking number, if null or missing, use order level tracking number(s). Used if there are multiple shipments for one order | [optional] 
**transmitted_to_distribution_center_dts** | **String** | Date/time that this item was transmitted to the distribution center | [optional] 
**unit_cost_with_discount** | [**Currency**](Currency.md) |  | [optional] 
**upsell** | **BOOLEAN** | True if this item was added to the order as part of an upsell | [optional] 
**weight** | [**Weight**](Weight.md) |  | [optional] 
**width** | [**Distance**](Distance.md) |  | [optional] 


