# UltracartClient::TransactionGateway

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**arbitrary_html** | **String** | Additional html to display for this transaction gateway.  This html will include instructions and connection links | [optional] 
**comment** | **String** | Additional comments | [optional] 
**credit_card_capable** | **BOOLEAN** | True if this gateway supports credit cards | [optional] 
**echeck_capable** | **BOOLEAN** | True if this gateway supports eChecks | [optional] 
**echeck_supported** | **String** | True if this gateway supports eChecks | [optional] 
**enabled** | **BOOLEAN** | True if this transaction gateway is the currently active gateway. | [optional] 
**gateway_cert_pem** | **String** | Cryptographic public certificate allowing UltraCart to communicate securely with this gateway. | [optional] 
**gateway_cert_pem_label** | **String** | The label for the gateway certificate pem.   The actual value stored may vary by gateway, so the label will vary too. | [optional] 
**gateway_email** | **String** | Gateway Email | [optional] 
**gateway_email_label** | **String** | The label for the gateway email.   The actual value stored may vary by gateway, so the label will vary too. | [optional] 
**gateway_environment** | **String** | Gateway Environment to indicate sandbox versus production environments | [optional] 
**gateway_environment_label** | **String** | The label for the gateway environment.  The actual value stored may vary by gateway, so the label will vary too. | [optional] 
**gateway_environments** | **Array&lt;String&gt;** | Used to populate drop down lists for the gateway environment.  Varies by gateway. | [optional] 
**gateway_header_back_color** | **String** | Optional Look and feel setting for Verified-by-VISA.  Only needed if you are using 3DS | [optional] 
**gateway_header_border_color** | **String** | Optional Look and feel setting for Verified-by-VISA.  Only needed if you are using 3DS | [optional] 
**gateway_header_image_url** | **String** | Optional Look and feel setting for Verified-by-VISA.  Only needed if you are using 3DS | [optional] 
**gateway_key** | **String** | Gateway Key | [optional] 
**gateway_key_label** | **String** | The label for the gateway key.   The actual value stored may vary by gateway, so the label will vary too. | [optional] 
**gateway_key_pem** | **String** | Cryptographic private key allowing UltraCart to communicate securely with this gateway. | [optional] 
**gateway_key_pem_label** | **String** | The label for the gateway key pem.   The actual value stored may vary by gateway, so the label will vary too. | [optional] 
**gateway_landing_page** | **String** | Optional Look and feel setting for Verified-by-VISA.  Only needed if you are using 3DS | [optional] 
**gateway_merchant_id** | **String** | Gateway Merchant ID | [optional] 
**gateway_merchant_id_label** | **String** | The label for the gateway merchant id.  The actual value stored may vary by gateway, so the label will vary too. | [optional] 
**gateway_mode** | **String** | Gateway Mode | [optional] 
**gateway_mode_label** | **String** | The label for the gateway mode.   The actual value stored may vary by gateway, so the label will vary too. | [optional] 
**gateway_modes** | **Array&lt;String&gt;** | Used to populate drop down lists for gateway modes | [optional] 
**gateway_page_style** | **String** | Gateway Page Style | [optional] 
**gateway_page_style_label** | **String** | Gateway page style label | [optional] 
**gateway_page_styles** | **Array&lt;String&gt;** | Used to populate drop down lists for gateway page style | [optional] 
**gateway_partner** | **String** | Gateway Partner | [optional] 
**gateway_partner_label** | **String** | The label for the gateway partner.   The actual value stored may vary by gateway, so the label will vary too. | [optional] 
**gateway_password** | **String** | Gateway Password | [optional] 
**gateway_password_label** | **String** | The label for the gateway password.   The actual value stored may vary by gateway, so the label will vary too. | [optional] 
**gateway_payflow_color** | **String** | Optional Look and feel setting for Verified-by-VISA.  Only needed if you are using 3DS | [optional] 
**gateway_private_key_password** | **String** | Gateway private key password | [optional] 
**gateway_private_key_password_label** | **String** | The label for the gateway private key password.  The actual value stored may vary by gateway, so the label will vary too. | [optional] 
**gateway_solution_type** | **String** | Optional Look and feel setting for Verified-by-VISA.  Only needed if you are using 3DS | [optional] 
**gateway_solution_type_label** | **String** | The label for the gateway solution type.  The actual value stored may vary by gateway, so the label will vary too. | [optional] 
**gateway_solution_types** | **Array&lt;String&gt;** | Used to populate drop down lists for gateway solution types | [optional] 
**gateway_url** | **String** | Gateway URL | [optional] 
**gateway_url_label** | **String** | The label for the gateway url.   The actual value stored may vary by gateway, so the label will vary too. | [optional] 
**gateway_username** | **String** | Gateway Username | [optional] 
**gateway_username_label** | **String** | The label for the gateway username.  The actual value stored may vary by gateway, so the label will vary too. | [optional] 
**merchant_account_profile_amex** | **String** | If a merchant has multiple card processing accounts, this is the one to use for American Express cards. | [optional] 
**merchant_account_profile_diners_club** | **String** | If a merchant has multiple card processing accounts, this is the one to use for Diners Club cards. | [optional] 
**merchant_account_profile_discover** | **String** | If a merchant has multiple card processing accounts, this is the one to use for Discover cards. | [optional] 
**merchant_account_profile_jcb** | **String** | If a merchant has multiple card processing accounts, this is the one to use for JCB cards. | [optional] 
**merchant_account_profile_mastercard** | **String** | If a merchant has multiple card processing accounts, this is the one to use for MasterCard cards. | [optional] 
**merchant_account_profile_visa** | **String** | If a merchant has multiple card processing accounts, this is the one to use for VISA cards. | [optional] 
**merchant_id** | **String** | UltraCart Merchant ID | [optional] 
**multi_currency_details** | **BOOLEAN** | True if this gateway provides details for multiple currency transactions | [optional] 
**name** | **String** | Name of this transaction gateway | [optional] 
**refund_supported** | **BOOLEAN** | True if this gateway supports refunds | [optional] 
**require_echeck_tax_id_or_drivers_license** | **BOOLEAN** | If true, e-Check transaction will require either a Tax ID or a Driver License | [optional] 
**support_vbv_3ds** | **BOOLEAN** | True if this gateway supported Verified-by-VISA 3D Secure | [optional] 
**supports_amex** | **BOOLEAN** | If true, this gateway will attempt to process American Express transactions.  If false, the customer will not be allowed to use this type of Credit Card. | [optional] 
**supports_diners_club** | **BOOLEAN** | If true, this gateway will attempt to process Diners Club transactions.  If false, the customer will not be allowed to use this type of Credit Card. | [optional] 
**supports_discover** | **BOOLEAN** | If true, this gateway will attempt to process Discover transactions.  If false, the customer will not be allowed to use this type of Credit Card. | [optional] 
**supports_echeck** | **BOOLEAN** | If true, this gateway will attempt to process e-Check transactions.  If false, the customer will not be allowed to use e-Checks. | [optional] 
**supports_electronic_gift_card** | **BOOLEAN** | if true, this gateway will attempt to process electronic gift cards. | [optional] 
**supports_jcb** | **BOOLEAN** | If true, this gateway will attempt to process JCB transactions.  If false, the customer will not be allowed to use this type of Credit Card. | [optional] 
**supports_mastercard** | **BOOLEAN** | If true, this gateway will attempt to process MasterCard transactions.  If false, the customer will not be allowed to use this type of Credit Card. | [optional] 
**supports_visa** | **BOOLEAN** | If true, this gateway will attempt to process VISA transactions.  If false, the customer will not be allowed to use this type of Credit Card. | [optional] 
**third_party** | **BOOLEAN** | True if this gateway supports third parties | [optional] 


